// pages/task/task.js
const app = getApp()
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    curStu: null,
    switchTitle: ['待提交', '已提交'],
    doName: "做作业",
    beginDate: null,
    endDate: null,
    status: 0,
    list:[
      {},
      {},
      {}
    ]
  },

  changeIndex: function (e) {
    if (e.detail == 0) {
      this.setData({ 'status': 0 })
      this.setData({
        doName: '做作业'
      })
    } else {
      this.setData({ 'status': 1 })
      this.setData({
        doName: '查看详情'
      })
    }
    this.queryList()
  },

  doTask: function (e) {
    wx.navigateTo({
      url: '/pages/taskDetail/taskDetail?id=' + e.currentTarget.dataset.id,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // let bd = options.beginDate
    // let ed = options.endDate
    let bd = '2020-01-01'
    let ed = '2021-01-01'
    if (bd && ed) {
      this.setData({ 'beginDate': bd, 'endDate': ed })
    } else {
      let today = util.curTime().substring(0, 10).replace(/\//g, '-')
      this.setData({ 'beginDate': today.substring(0, 8) + '01', 'endDate': today })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    this.queryList()
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  queryList: function () {
    const urls = urlDef.urls;
    let stu = wx.getStorageSync('student');
    if (stu) {
      this.setData('curStu', stu);
      util.apiPost(urls.my_homework, { 'q.beginDate': this.data.beginDate, 'q.endDate': this.data.endDate, 'q.studentId': stu.studentId, 'q.status': this.data.status }).then(rs => {
        rs.map(o => {
          if (o.beginTime) {
            o.beginTime = o.beginTime.substring(11, 16)
          }
          if (o.endTime) {
            o.endTime = o.endTime.substring(11, 16)
          }
          if (o.completedTime) {
            o.completedTime = o.completedTime.substring(0, 10)
          }
          if (o.homeworkContent) {
            o.homeworkContent = this.parseContent(o.homeworkContent)
          }
        })
        this.setData({ 'list': rs })
      })
    }
  },
  parseContent(content) {
    let contents = null
    try {
      contents = JSON.parse(content)
      content = contents.content
    } catch (e) {
      contents = {}
      console.log(JSON.stringify(e))
    }
    return content
  }
})